#language: ru

Функционал: 10_milk_scenario. Заполнение справочника Соглашения с контрагентами

Сценарий: 10_milk_scenario. Соглашение с поставщиком 1
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Производство' 'Соглашения с контрагентами'
	Тогда открылось окно 'Соглашения с контрагентами'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Соглашение с контрагентом (создание)'
	И из выпадающего списка "Статус" я выбираю точное значение 'Действует'
	И в поле 'Наименование' я ввожу текст 'Поставщик 1'
	И я нажимаю кнопку выбора у поля "Контрагент"
	Тогда открылось окно 'Контрагенты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Поставщик 1'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Соглашение с контрагентом (создание) *'
	И я нажимаю кнопку выбора у поля "Организация"
	Тогда открылось окно 'Организации'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Соглашение с контрагентом (создание) *'
	И из выпадающего списка "Вид соглашения" я выбираю точное значение 'С поставщиком'
	И я перехожу к закладке "Ценовые условия"
	И из выпадающего списка "Валюта" я выбираю точное значение 'RUB'
	И я нажимаю кнопку выбора у поля "Вид цен"
	Тогда открылось окно 'Виды цен'
	И в таблице "Список" я перехожу к строке:
		|'Наименование'|
		|'Поставщик 1'|
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Соглашение с контрагентом (создание) *'
	И я перехожу к закладке "Условия поставки"
	И я устанавливаю флаг 'Использовать индивидуальные условия'
	И из выпадающего списка "Способ расчета стоимости сырья" я выбираю точное значение 'По жиру и белку'
	И из выпадающего списка "База расчета стоимости сырья" я выбираю точное значение 'Физический вес'
	И из выпадающего списка "Жира" я выбираю точное значение '0,05'
	И из выпадающего списка "Белка" я выбираю точное значение '0,001'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Соглашение с контрагентом (создание) *' в течение 20 секунд
	Тогда открылось окно 'Соглашения с контрагентами'
	И Я закрываю окно 'Соглашения с контрагентами'
	
Сценарий: 10_milk_scenario. Соглашение с поставщиком 2
	И В командном интерфейсе я выбираю 'Производство' 'Соглашения с контрагентами'
	Тогда открылось окно 'Соглашения с контрагентами'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Соглашение с контрагентом (создание)'
	И из выпадающего списка "Статус" я выбираю точное значение 'Действует'
	И в поле 'Наименование' я ввожу текст 'Поставщик 2'
	И я нажимаю кнопку выбора у поля "Контрагент"
	Тогда открылось окно 'Контрагенты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Поставщик2'   |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Соглашение с контрагентом (создание) *'
	И я нажимаю кнопку выбора у поля "Организация"
	Тогда открылось окно 'Организации'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Соглашение с контрагентом (создание) *'
	И из выпадающего списка "Вид соглашения" я выбираю точное значение 'С поставщиком'
	И я перехожу к закладке "Ценовые условия"
	И из выпадающего списка "Валюта" я выбираю точное значение 'RUB'
	И я нажимаю кнопку выбора у поля "Вид цен"
	Тогда открылось окно 'Виды цен'
	И в таблице "Список" я перехожу к строке:
		|'Наименование'|
		|'Поставщик 2'|
	Тогда открылось окно 'Виды цен'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Соглашение с контрагентом (создание) *'
	И я перехожу к закладке "Условия поставки"
	И я устанавливаю флаг 'Использовать индивидуальные условия'
	И из выпадающего списка "Способ расчета стоимости сырья" я выбираю точное значение 'По жиру'
	И из выпадающего списка "База расчета стоимости сырья" я выбираю точное значение 'Зачетный вес'
	И из выпадающего списка "Жира" я выбираю точное значение '0,001'
	И из выпадающего списка "Зачетного веса" я выбираю точное значение '0,005'
	И из выпадающего списка "Способ округления зачетного веса" я выбираю точное значение 'В пользу предприятия'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Соглашение с контрагентом (создание) *' в течение 20 секунд
	Тогда открылось окно 'Соглашения с контрагентами'
	И Я закрываю окно 'Соглашения с контрагентами'